| Home | Libraries | People | FAQ | More

## Struct template rebind

boost::pool_allocator<void, UserAllocator, Mutex, NextSize, MaxSize>::rebind — Nested class rebind allows for transformation from pool_allocator<T> to pool_allocator<U>.

## Synopsis

    // In header: <boost/pool/pool_alloc.hpp>

    // Nested class rebind allows for transformation from pool_allocator<T> to
    // pool_allocator<U>.
    template<typename U>
    struct rebind {
      // types
      typedef pool_allocator< U, UserAllocator, Mutex, NextSize, MaxSize > other;
    };

## Description

Nested class rebind allows for transformation from pool_allocator<T> to pool_allocator<U> via the member typedef other.